Provider models
List provider models
List this organization’s provider model routes.
GET
/
v1
/
model-deployments
List provider models
curl --request GET \
--url https://api.getmillwork.dev/v1/model-deployments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deployments": [
{
"assurance_evidence_ref": "<string>",
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
List provider models
curl --request GET \
--url https://api.getmillwork.dev/v1/model-deployments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deployments": [
{
"assurance_evidence_ref": "<string>",
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fallback_policy": "none",
"last_tested_at": "2023-11-07T05:31:56Z",
"location": "<string>",
"model_deployment_id": "<string>",
"model_key": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"release_assurance": "unknown",
"resolution_evidence_ref": "<string>",
"resolved_upstream_ref": "<string>",
"route": "<string>",
"served_variant_id": "<string>",
"source_id": "<string>",
"status": "listed",
"updated_at": "2023-11-07T05:31:56Z",
"upstream_ref": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}